<?php
require_once(LIB_PATH . DS . 'database.php');

class StudentAcct extends DatabaseObject
{
    protected static $table_name = "student_account";
    public $id;
    public $surname;
    public $othernames;
    public $formno;
    public $email;
    public $phone; 
    public $password;
    public $department;

    public $level;
    public $progtype;
    public $token;
    public $activated;
    public $date;
    public $acc_id;
    
    public $payerName;
    public $payerEmail;
    public $payerPhone; 
    public $merchantId;
    public $serviceTypeId;
    public $apiKey;
    public $orderId;
    public $amount;  
    public $rrr; 
    
    public static function checkAccount($table,$level, $email='')
    {
         global $database;
        
        $sql="SELECT * FROM $table WHERE email='$email' AND level='$level' AND activated='Y' LIMIT 1";
         
         $result_array = self::find_by_sql($sql);
        return !empty($result_array) ? array_shift($result_array) : false;
    }
    public static function getcredentials($type='')
    {
        global $database;
        
        $sql="SELECT * FROM paymentitem WHERE type=$type LIMIT 1";
         
         $result_array = self::find_by_sql($sql);
        return !empty($result_array) ? array_shift($result_array) : false;
      
        
    }
    public static function findpaymenthistory($stid)
    {
        global $database;
        
         
        $sql="SELECT * FROM payments WHERE acc_id=$stid LIMIT 1";
         
         $result_array = self::find_by_sql($sql);
        return !empty($result_array) ? array_shift($result_array) : false;
      
    
        
    }
    public static function get_transaction_bank_details($rrr)
    {
        global $database;
        $sql="SELECT * FROM payments WHERE rrr='$rrr' LIMIT 1";
         
         $result_array = self::find_by_sql($sql);
        return !empty($result_array) ? array_shift($result_array) : false;
      
    }
    public static function getrrr($stid='')
    {
        global $database;
         $sql = "SELECT * FROM payments ";
        $sql .= " WHERE acc_id= $stid order by acc_id desc limit 1";
        
         $result_array = self::find_by_sql($sql);
        return !empty($result_array) ? array_shift($result_array) : false;
      
        
    }


   public static function studenttype($stid)
   {
        global $database; $connection=''; 
         $sql = "SELECT * FROM student_account ";
        $sql .= " WHERE id= $stid order by id desc limit 1";
         $result_array = self::find_by_sql($sql);
        return !empty($result_array) ? array_shift($result_array) : false;
      
   }
   
   public static function updatebankpayment($stid,$amount,$message,$paymentDate,$transactiontime,$status )
   {
         global $database; $connection=''; 
       
        $stid = $database->escape_value($stid);
        $amount = $database->escape_value($amount);
        $paymentDate = $database->escape_value($paymentDate);
        $transactiontime = $database->escape_value($transactiontime);
        $status = $database->escape_value($status);

       $sql = "UPDATE payments SET returned_amount='$amount',paymentDate='$paymentDate',transactiontime='$transactiontime', statusMessage='$message' WHERE acc_id= $stid LIMIT 1";
         if ($database->query($connection,$sql)) {
           
            return true;
          // return 'Success';
        } else {
           return false;
            // return 'Error'; 
        }
   }
    
   public static function updatepayment($stid,$amount,$paymentReference,$transactionId )
   {
        global $database; $connection=''; 
       
        $stid = $database->escape_value($stid);
        $amount = $database->escape_value($amount);
        $paymentReference = $database->escape_value($paymentReference);
        $transactionId = $database->escape_value($transactionId);

       $sql = "UPDATE payments SET returned_amount='$amount',paymentReference='$paymentReference',transactionId='$transactionId', statusMessage='Successful' WHERE acc_id= $stid LIMIT 1";
         if ($database->query($connection,$sql)) {
           
            return true;
          // return 'Success';
        } else {
           return false;
            // return 'Error'; 
        }
   }
   public static function updatejson($stid,$rrr,$orderID)
   {
       global $database; $connection=''; 
       
        $stid = $database->escape_value($stid);
        $rrr = $database->escape_value($rrr);
        $orderID = $database->escape_value($orderID);
        
       $sql = "UPDATE payments SET rrr='$rrr', orderId='$orderID' WHERE acc_id= $stid  order by acc_id desc limit 1";
   

        if ($database->query($connection,$sql)) {
           
            return true;
          // return 'Success';
        } else {
           return false;
            // return 'Error'; 
        }
       
   }
   
   
      public static function updatejsonerror($stid,$rrr)
   {
       global $database; $connection=''; 
       
        $stid = $database->escape_value($stid);
        $rrr = $database->escape_value($rrr);
       $sql = "UPDATE payments SET rrr='$rrr',statusMessage='Unsuccessful' WHERE acc_id= $stid LIMIT 1";
   
        if ($database->query($connection,$sql)) {
           
            return true;
          // return 'Success';
        } else {
           return false;
            // return 'Error'; 
        }
       
   }
    
    
  public static function checkorderID($a)
  {
      global  $database;
       $sql = "SELECT * FROM payments ";
        $sql .= " WHERE orderId= '$a' order by id desc limit 1";
        
         $result_array = self::find_by_sql($sql);
        return !empty($result_array) ? array_shift($result_array) : false;
      
  }
    
 public static  function  getpaymenttogenrrr($stid)
    {
           global $database;
           
           $stid = $database->escape_value($stid);
           
             $sql = "SELECT * FROM payments ";
        $sql .= " WHERE acc_id=$stid order by id desc limit 1";
        
         $result_array = self::find_by_sql($sql);
        return !empty($result_array) ? array_shift($result_array) : false;

    }


 public static  function checkStu($email='', $password='')
    {
        global $database;

        $email = $database->escape_value($email);
        $password = $database->escape_value($password);
       

         $sql = "SELECT * FROM ". static::$table_name ." " ;
         $sql .= " WHERE email='{$email}' AND password='{$password}' ";
 
       return $result_array = self::find_by_sql($sql);

        //return !empty($result_array) ? array_shift($result_array) : false;


         
         

    } 



        public static  function accidbyemail($email,$token)
    {
        global $database;

        $email = $database->escape_value($email);
        
        $token = $database->escape_value($token);
       

         $sql = "SELECT * FROM student_account " ;
         $sql .= " WHERE email='{$email}' AND token='{$token}' LIMIT 1 ";
 
        $result_array = self::find_by_sql($sql);

        return !empty($result_array) ? array_shift($result_array) : false;


         
         

    } 
            
            
   public static  function accidbyemailactivated($email,$token)
    {
        global $database;

        $email = $database->escape_value($email);
        
        $token = $database->escape_value($token);
       

         $sql = "SELECT * FROM ". static::$table_name ." " ;
         $sql .= " WHERE email='{$email}' AND token='{$token}' AND activated='Y' LIMIT 1 ";
 
        $result_array = self::find_by_sql($sql);

        return !empty($result_array) ? array_shift($result_array) : false;

    } 
    
    
            
       public static  function existingAcct($email)
    {
        global $database;

        $email = $database->escape_value($email);
        
        
       

         $sql =" SELECT s.*,b.acc_id FROM student_account s " ;
         $sql .=" INNER JOIN form_data23 b ON s.id=b.acc_id ";
         $sql .=" WHERE s.email='{$email}' ";
 
        return $result_array = self::find_by_sql($sql);

        //return !empty($result_array) ? array_shift($result_array) : false;


         
         

    } 
            
            
    public static  function accid($id)
    {
        global $database;

        $id = $database->escape_value($id);
       

         $sql = "SELECT * FROM ". static::$table_name ." " ;
         $sql .= " WHERE id='{$id}' AND activated='Y' LIMIT 1 ";
 
        $result_array = self::find_by_sql($sql);

        return !empty($result_array) ? array_shift($result_array) : false;


         
         

    } 
    
    // public static function paymentitems()
    // {
    //      global $database;
    //      $sql = "SELECT * FROM paymentitem  LIMIT 1";
        
 
    //     $result_array = self::find_by_sql($sql);

    //     return !empty($result_array) ? array_shift($result_array) : false;
    // }

    

  public static  function StdupdateAcc($email='',$token='')
    {
        global $database; $connection='';

        $email = $database->escape_value($email);
        $token = $database->escape_value($token);


         $sql = "UPDATE  " . self::$table_name . " SET activated='Y' WHERE email='{$email}' AND token='{$token}' LIMIT 1";
        
      if ($database->query($connection,$sql)) {
           
            return true;
          // return 'Success';
        } else {
           return false;
            // return 'Error'; 
        }

    } 

    
    
public static  function Stdsave($table, $surname='', $othernames='',$email='',$password='',$department='',$level='',$lev='',$phone='',$token='')
    {
        global $database;$connection='';
        $surname = $database->escape_value($surname);
        $othernames = $database->escape_value($othernames);
        
        $email = $database->escape_value($email);
        $password = $database->escape_value($password);
        $department = $database->escape_value($department);
        $level = $database->escape_value($level);
        $progtype = $database->escape_value($lev);
        $phone = $database->escape_value($phone);
        $token = $database->escape_value($token);
      

       $sql = "INSERT INTO $table (";
        $sql .= "surname,othernames,email,password, department, level,progtype,phone, token ";

        $sql .= ") VALUES ('";
        $sql .= $surname . "', '";
        $sql .= $othernames . "', '";
        $sql .= $email . "', '";
        $sql .= $password . "', '";
        $sql .= $department . "', '";
        $sql .= $level . "', '";
        $sql .= $progtype . "', '";
        $sql .= $phone . "', '";
        $sql .= $token . "'
              
            )";

        if ($database->query($connection,$sql)) {
           
            return true;
          // return 'Success';
        } else {
           return false;
            // return 'Error'; 
        }
    }



public static  function submit_stu_data($stdid='',$ftype='', 
                
                $amount='', $payerName='',$payerEmail='',$payerPhone='',$description='')
    {
        global $database;$connection='';
        $stdid = $database->escape_value($stdid);
        $ftype = $database->escape_value($ftype);
        
        $amount = $database->escape_value($amount);
       
        $payerName = $database->escape_value($payerName);
        $payerEmail = $database->escape_value($payerEmail);
        $payerPhone = $database->escape_value($payerPhone);
        $description = $database->escape_value($description);
      

       $sql = "INSERT INTO payments (";
        $sql .= "acc_id,formno,amount, payerName,payerEmail, payerPhone,description ";

        $sql .= ") VALUES ('";
        $sql .= $stdid . "', '";
        $sql .= $ftype . "', '";
        $sql .= $amount . "', '";
        $sql .= $payerName . "', '";
        $sql .= $payerEmail . "', '";
         $sql .= $payerPhone . "', '";
        $sql .= $description . "'
              
            )";

        if ($database->query($connection,$sql)) {
           
            return true;
          // return 'Success';
        } else {
           return false;
            // return 'Error'; 
        }
    }


   
//Common database Methods

}
 $account = new StudentAcct();
?>